Page MenuHomePhabricator

Consider alternatives for EmbedPlayer
Closed, ResolvedPublic

Description

I think we should consider looking at alternatives to EmbedPlayer. I think that since that work has started, a lot of other attempts for similar frameworks have begun and I think some of them are much more long term viable as open source products.

There are dozens of players out there, for a quick list this website has a nice overview:
http://codegeekz.com/best-html5-video-players-and-tools-for-developers/

I myself am particularly interested in VideoJS, which seems to have really picked up steam, has big names using it and seems to have created a really healthy open source developer community around itself.

Event Timeline

TheDJ created this task.Mar 22 2015, 9:58 PM
TheDJ raised the priority of this task from to High.
TheDJ updated the task description. (Show Details)
TheDJ added a project: TimedMediaHandler.
TheDJ added a subscriber: TheDJ.
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 22 2015, 9:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:45 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:45 PM
TheDJ moved this task from Backlog to Player on the TimedMediaHandler board.Oct 21 2015, 7:24 PM

As we decided to go with videojs can we close this as resolved?

brion moved this task from Player to Player-Old on the TimedMediaHandler board.Apr 23 2018, 10:59 PM
TheDJ closed this task as Resolved.Mon, Jun 24, 7:30 AM
TheDJ claimed this task.